# List Pockets For Customer

Retrieve all Pockets for a single Customer.

Endpoint: GET /api/v2/customers/{customer_id}/pockets/
Version: Version: cf52545e
Security: HTTPBearer

## Path parameters:

  - `customer_id` (string, required)

## Query parameters:

  - `omit[]` (any)

  - `offset` (integer)

  - `limit` (integer)

  - `valuation_type` (any)

  - `filter[status]` (array)

## Header parameters:

  - `x-jiko-idempotency` (string, required)

  - `x-jiko-signature` (string, required)

## Response 200 fields (application/json):

  - `offset` (integer, required)

  - `count` (integer, required)

  - `items` (array, required)
    Customer pockets list

  - `items.id` (string, required)
    ID of the pocket

  - `items.pocket_name` (string, required)
    Pocket name

  - `items.portfolio` (any)
    Total liquid cash and holdings

  - `items.portfolio.securities` (array, required)

  - `items.portfolio.securities.quantity` (integer, required)
    Number of securities

  - `items.portfolio.securities.market_value` (object, required)

  - `items.portfolio.securities.market_value.value` (integer, required)
    USD values are always in cents.

  - `items.portfolio.securities.market_value.currency` (string, required)

  - `items.portfolio.securities.market_value.formatted` (string)

  - `items.portfolio.securities.cusip` (string, required)
    CUSIP number of security

  - `items.portfolio.securities.jiko_mark_price` (string, required)

  - `items.portfolio.securities.description` (string, required)
    A description of the security

  - `items.portfolio.securities.type` (string, required)

  - `items.portfolio.securities.maturity_date` (string, required)
    Due date of the fixed income instrument

  - `items.portfolio.all_time_earnings` (any)
    All time portfolio earnings. Use of this field is discouraged, as it will be removed in a future release. Please use the [Get Earnings](/products/partner-api/reference/pockets/get-earnings-v2) endpoint instead.

  - `items.portfolio.fees` (array, required)
    Any outstanding fees

  - `items.portfolio.fees.type` (string, required)

  - `items.portfolio.liquidation_value_t1` (any)
    Available liquid amount at T+1

  - `items.portfolio.pricing_timestamp` (any)
    Timestamp at which `total_value` was priced. Populated for pockets backed by accounts with the `real_time_yield` attribute when at least one underlying CUSIP holding has real-time pricing; `null` otherwise.

  - `items.portfolio.appreciation_per_second` (any)
    Rate at which `total_value` accrues per second, in USD cents. Combined with `pricing_timestamp`, allows interpolating the displayed total value forward as `total_value + appreciation_per_second × (now - pricing_timestamp)`. Populated for pockets backed by accounts with the `real_time_yield` attribute when at least one underlying CUSIP holding has real-time pricing; `null` otherwise.

  - `items.status` (string, required)
    Pocket status
    Enum: "PENDING", "OPEN", "FROZEN", "CLOSED"

  - `items.attributes` (array)

  - `items.deposit_strategy_id` (string, required)
    Pocket deposit trading strategy ID (Example: UST-4W)

  - `items.reinvestment_strategy_id` (any, required)
    Pocket reinvestment trading strategy ID (Example: UST-4W)

  - `items.type` (any)
    Pocket type

  - `items.object_type` (string, required)

  - `object_type` (string)

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)

